## procstatd-1.4.2-10.src.tar.gz

=== Makefile ===
#
# $Id: Makefile,v 1.1 2001/03/15 22:16:41 jpormann Exp jpormann $
#
# procstatd - Copyright 1999 by Robert G. Brown, rgb@phy.duke.edu
#         GPL (Gnu Public License) 2b (b for beverage) granted 
#         under slightly modified terms. Read README.GPL for the 
#         "beverage" modification:-).
#
# THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
# EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL, INDIRECT OR
# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
# DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
# TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.
#
# procstatd - A daemon to extract statistics from /proc/stat and publish them
#         on demand via a socket connection or broadcast.
#=============================================================================
#

##########################
# General definitions
##########################
CC=gcc
CFLAGS=-O3
COMPILE=$(CC) -c $(CFLAGS)
LINK=$(CC)

##########################
# Tree point to install
# (Choose one)
##########################
# INSTDIR=/usr/local
# INSTDIR=/usr
INSTDIR=$(HOME)

##########################
# Program name(s)
##########################
PROGRAM=procstatd
WATCHMAN=watchman


##########################
# Source and object list
##########################
SRC=procstatd.c parsecl.c parse.c statlist.c senddata.c procutils.c \
      proc_stat.c proc_loadavg.c proc_meminfo.c proc_net_dev.c \
      proc_sensors.c proc_lm78.c proc_uptime.c proc_version.c \
      time.c users.c identity.c \
      ipcstuff.c filestuff.c jobslist.c quiklist.c
OBJ=$(SRC:.c=.o)

##########################
# Rule to make program
##########################
$(PROGRAM) : $(OBJ)
	$(LINK) $(OBJ) -o $@ 

##########################
# Rule to make .o objects
# Note sole .h dependency
##########################
%.o : %.c procstatd.h
	$(COMPILE) $< -o $@

##########################
# Rule to clean up
##########################
clean :
	-rm -f $(PROGRAM) *.o *~

##########################
# Rule to install.
##########################
install :
	(strip $(PROGRAM);\
	install -d $(INSTDIR)/sbin; \
	install -d $(INSTDIR)/man/man8; \
	install -m 755 $(PROGRAM) $(INSTDIR)/sbin; \
	install -m 644 $(PROGRAM).8 $(INSTDIR)/man/man8; \
        cd watchman; \
        make install)

=== PKGBUILD ===
# $Id: PKGBUILD 340393 2018-06-04 14:32:02Z felixonmars $
# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>
# Contributor: Tom Newsom <Jeepster@gmx.co.uk>
# Maintainer: Jason Chu <jason@archlinux.org>

pkgname=procstatd
pkgver=1.4.2
pkgrel=10
pkgdesc="A daemon that can be run either from userspace or inetd that can be queried via a simple API to parse various files in /proc"
arch=('x86_64')
license=('GPL')
url="http://www.phy.duke.edu/brahma/"
source=(https://downloads.sourceforge.net/herdtools/$pkgname.tar.gz)
sha512sums=('02f10a87f9325f0252786a598433596ad1dc2c6412ff8b6fe1f8e19a6e1425497bc0fcf0be085ed7be9434642c7a1f22d4f8018787ab2f6dffe0d1aa566dfcc5')

build() {
  cd "$srcdir"/$pkgname
  # Get rid of the funky make install forever bug
  sed -i 's/make install/echo/;s/cd watchman/echo/;s@$(INSTDIR)/sbin@$(INSTDIR)/bin@' Makefile
  make
}

package() {
  cd "$srcdir"/$pkgname
  make INSTDIR="$pkgdir"/usr install
  mkdir "$pkgdir"/usr/share
  mv "$pkgdir"/usr/man "$pkgdir"/usr/share/man
}
